
Figure - Bug #115042
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Tlog】总日志文件个数可配置，APP上修改总文件个数限制（persisit max number）
，/data/tlog/persist/ 与/data/tlog/manual/均未生效
2023-01-04 10:31 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-04

Priority: Normal Due date: 2023-02-16

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0063.X101

Resolution: WONTFIX Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-16

Test Type: ST Root cause: 需求较低

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，点击右上角进入设置

3、分别修改persisit和manual中的persist文件个数限制（persisit max number）为10

4、点击保存后，查看/data/tlog/persist/ 下文件个数，/data/tlog/manual/文件个数

5、设备重启，再次查看/data/tlog/persist/ 下文件个数，/data/tlog/manual/文件个数

【预期结果】

4.5 persisit和manual下的日志文件超过设置的10个后开始删除

【实际结果】

4.5. persisit和manual下的日志文件超过设置的10个后没有开始删除，修改未生效

History

#1 - 2023-01-11 18:11 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

需求较低，默认日志文件个数为1000

#2 - 2023-01-12 15:29 - CD SYSTEM-夏旭

- Due date set to 2023-02-16

#3 - 2023-01-16 15:37 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

- Fixed Version set to 2023-01-16
- Root cause set to 需求较低

#4 - 2023-01-17 15:47 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

根据RD讨论后，需求较低，暂时不做，关闭issue

#5 - 2023-01-17 15:49 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
